Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.handler
Class CommandButtonParameterComponentHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.ComponentHandler
                      org.jboss.seam.ui.handler.CommandButtonParameterComponentHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class CommandButtonParameterComponentHandler

extends javax.faces.view.facelets.ComponentHandler

If user didn't specify id on button, do it for them (we need one rendered)

Author:
  Pete Muir

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`CommandButtonParameterComponentHandler(javax.faces.view.facelets.ComponentConfig config)`

Method Summary
`void` | `onComponentCreated(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.view.facelets.ComponentHandler
`getComponentConfig, getTagHandlerDelegate, isNew, onComponentPopulated`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandButtonParameterComponentHandler

    public CommandButtonParameterComponentHandler(javax.faces.view.facelets.ComponentConfig config)

Method Detail

### onComponentCreated

    public void onComponentCreated(javax.faces.view.facelets.FaceletContext ctx,
                                   javax.faces.component.UIComponent c,
                                   javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentCreated` in class `javax.faces.view.facelets.ComponentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.